<s:div
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:rich="http://richfaces.org/rich"
        xmlns="http://www.w3.org/1999/xhtml" styleClass="footer" id="footer">
    <s:div id="siteInfo">
        <rich:toolbar id="footerMenuToolBar">
            <rich:toolbarGroup id="footerLeftToolBarGroup" location="left"
                               styleClass="form">
                <a id="footerMenuAboutLink" style="color: #337ab7;"
                   href="javascript:#{rich:component('about')}.show()">#{messages['net.ihe.gazelle.proxy.About']}</a>
                <h:outputText id="footerMenuAboutOutputText" value="|"/>
                <a id="footerMenuContactUsLink" style="color: #337ab7;"
                   href="javascript:#{rich:component('contactUs')}.show()">#{messages['net.ihe.gazelle.proxy.ContactUs']}</a>
                <h:outputText id="footerMenuContactUsOutputText" value="|"/>
                <a4j:commandLink id="issueTrackeCommandLinkId"
                                 style="color: #337ab7;"
                                 value="#{messages['net.ihe.gazelle.proxy.IssueTracker']}"
                                 onclick="#{rich:component('issueTracker')}.show();"/>
                <h:outputText id="separatorOutputText" value="|"/>
                <h:outputText id="copyrightOutputText"
                              value="#{messages['net.ihe.gazelle.proxy.Copyright']} ${build.year} #{messages['net.ihe.gazelle.proxy.IHEInternational']}"/>
            </rich:toolbarGroup>
            <rich:toolbarGroup id="footerRightToolBarGroup" location="right">
                <s:div id="footerRightDiv">
                    <h:form id="locale" action="#{localeSelector.select}">
                        <h:selectOneMenu
                                value="#{localeSelector.localeString}">
                            <f:selectItems
                                    value="#{localeSelector.supportedLocales}"/>
                            <a4j:ajax event="change"
                                      listener="#{channelManagerBean.goHome()}"/>
                        </h:selectOneMenu>
                    </h:form>
                </s:div>
            </rich:toolbarGroup>
        </rich:toolbar>
        <!-- ******************************************* -->
        <!-- Modal Panel : About the Proxy -->
        <!-- ******************************************* -->
        <rich:popupPanel id="about"
                         onbeforeshow="ActiveModal.setActiveModalPanel('about')"
                         minHeight="150" minWidth="450" height="300" width="500"
                         zindex="2000">
            <f:facet name="header">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.AboutProxy']}"/>
            </f:facet>
            <f:facet name="controls">
                <h:graphicImage
                        alt="#{messages['net.ihe.gazelle.proxy.Close']}"
                        value="/img/close.gif" style="cursor:pointer"
                        onclick="#{rich:component('about')}.hide()"/>
            </f:facet>
            <h1>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.GazelleProxy']}"/>
            </h1>
            <h2>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.IHEIntegratingTheHeathcareEnterprise']}"/>
            </h2>
            <h3>
                <i>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.proxy.ChangingTheWayHealthcareConnects']}"/>
                </i>
            </h3>
            <a href="http://www.ihe.net">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.Wwwihenet']}"/>
            </a>

            <p>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.ProxyVersion']} "/>
                <h:outputText id="versionDetails" value="${version}"/>
            </p>
            <p>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.ReleaseDate']} "/>
                <h:outputText value="${build.date.full}"/>
            </p>
            <p>
                <a href="#{applicationConfigurationManager.releaseNoteUrl}">#{messages['net.ihe.gazelle.proxy.ReleaseNotes']}</a>
            </p>

            <p>
                <a href="#{applicationConfigurationManager.documentation}">#{messages['net.ihe.gazelle.proxy.Documentation']}</a>
            </p>

            <p>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.DevelopedForIHEByIHE']}"/>
            </p>
            <p>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.ThanksToUseThisApplication']}"/>
            </p>
            <p align="right">
                <a href="javascript:#{rich:component('about')}.hide()">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.proxy.Close_2']}"/>
                </a>
            </p>
        </rich:popupPanel>
        <!-- ******************************************* -->
        <!-- END :Modal Panel : About the proxy			 -->
        <!-- ******************************************* -->
        <!-- ******************************************* -->
        <!-- Modal Panel : Contact Us 					 -->
        <!-- ******************************************* -->
        <rich:popupPanel id="contactUs"
                         onbeforeshow="ActiveModal.setActiveModalPanel('contactUs')"
                         minHeight="200" minWidth="400" height="200" width="420"
                         zindex="2000">
            <f:facet name="header">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.ContactUs_2']}"/>
            </f:facet>
            <f:facet name="controls">
                <h:graphicImage
                        alt="#{messages['net.ihe.gazelle.proxy.Close']}"
                        value="/img/close.gif" style="cursor:pointer"
                        onclick="#{rich:component('contactUs')}.hide()"/>
            </f:facet>
            <h1>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.GazelleProxy']}"/>
            </h1>
            <h2>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.IHEIntegratingTheHeathcareEnterprise']}"/>
            </h2>
            <h3>
                <i>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.proxy.ChangingTheWayHealthcareConnects']}"/>
                </i>
            </h3>
            <a href="http://www.ihe.net">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.Wwwihenet']}"/>
            </a>

            <p/>
            <p>
                <h:outputText
                        value="Please email questions to \:  ("/>
                <a href="mailto:#{applicationConfigurationManager.applicationAdminEmail}">
                    <h:outputText
                            value="#{applicationConfigurationManager.applicationAdminName})"/>
                </a>
                <h:outputText
                        value="), #{messages['net.ihe.gazelle.proxy.AndHeWillGuideYouThroughTheProcess']}"/>
            </p>
            <p>
                <a href="javascript:#{rich:component('contactUs')}.hide()">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.proxy.Close_2']}"/>
                </a>
            </p>
        </rich:popupPanel>
        <!-- ******************************************* -->
        <!-- END :Modal Panel : Contact Us 			 -->
        <!-- ******************************************* -->
        <!-- ******************************************* -->
        <!-- Modal Panel : Issue Tracker						   -->
        <!-- ******************************************* -->
        <rich:popupPanel id="issueTracker"
                         onbeforeshow="ActiveModal.setActiveModalPanel('issueTracker')"
                         minHeight="200" minWidth="540" height="200" width="540"
                         zindex="2000">
            <f:facet name="header">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.IssueTracker_2']}"/>
            </f:facet>
            <f:facet name="controls">
                <h:graphicImage
                        alt="#{messages['net.ihe.gazelle.proxy.Close']}"
                        value="/img/close.gif" style="cursor:pointer"
                        onclick="#{rich:component('issueTracker')}.hide()"/>
            </f:facet>
            <p/>

            <h2>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.proxy.IfYouEncounterAnyIssueWithThisApplicationReportI']}"/>
            </h2>
            <p/>
            <h:outputText
                    value="#{messages['net.ihe.gazelle.proxy.ADevelopmentTeamWorksEachDayToImproveThisApplica']}"/>
            <p/>
            <h:outputText
                    value="#{messages['net.ihe.gazelle.proxy.ClickOnThatLinkToReportAProblem']}"/>
            <a href="#{applicationConfigurationManager.issueTracker}">
                <h:outputText
                        value="#{applicationConfigurationManager.issueTracker}"/>
            </a>

            <p/>

            <p/>

            <p align="right">
                <a href="javascript:#{rich:component('issueTracker')}.hide()">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.proxy.Close_2']}"/>
                </a>
            </p>
        </rich:popupPanel>
        <!-- ******************************************* -->
        <!-- END :Modal Panel : Issue Tracker			  -->
        <!-- ******************************************* -->
    </s:div>
</s:div>
